import request from '@/utils/request';

export const AuthApi = {
  async login(params: Auth.LoginParams): Promise<Auth.LoginResponse> {
    return request.post('user/login', params);
  },
  async getCurrentUser(): Promise<Auth.User> {
    return request.get('user/my-detail');
  },
};

export default {
  AuthApi,
};
