import emptyImage from '@/assets/images/empty.png';

interface NoDataProps {
  className?: string;
  height?: number;
  width?: number;
  text?: string;
}

function NoData({ className, height = 100, width = 100, text = '暂无数据' }: NoDataProps) {
  return (
    <div className={className}>
      <div>
        <img src={emptyImage} alt="empty" style={{ height, width }} />
      </div>
      <div className="text-center text-sm text-#606060">{text}</div>
    </div>
  );
}

export default NoData;
