// import setRootPixel from '@arco-design/mobile-react/tools/flexible';
import '@nutui/nutui-react/dist/style.css';
import '@unocss/reset/tailwind.css';
import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import { RouterProvider } from 'react-router-dom';
import 'virtual:uno.css';
import { AuthProvider } from './context/authContext';
import './index.css';
import { future, router } from './routes/index.tsx';
// setRootPixel(46);
createRoot(document.getElementById('root')!).render(
  <StrictMode>
    <AuthProvider>
      <RouterProvider future={future} router={router} />
    </AuthProvider>
  </StrictMode>
);
